summaryrefslogtreecommitdiffstats
path: root/games/blobAndConquer
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 19:44:24 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:44:24 +0200
commit4df5cc6b8557014fc5de236bc29c5f101fd7264e (patch)
tree3280e0a899a18a8b89584ebfac7998a5b8d3ae86 /games/blobAndConquer
parent97be6198498a18f919b4a6c5adcfc3bcb4ab8b9b (diff)
downloadslackbuilds-4df5cc6b8557014fc5de236bc29c5f101fd7264e.tar.gz
slackbuilds-4df5cc6b8557014fc5de236bc29c5f101fd7264e.tar.xz
games/blobAndConquer: Updated for version 0.91
Diffstat (limited to 'games/blobAndConquer')
-rw-r--r--games/blobAndConquer/README3
-rw-r--r--games/blobAndConquer/blobAndConquer.SlackBuild68
-rw-r--r--games/blobAndConquer/blobAndConquer.info8
-rw-r--r--games/blobAndConquer/makefile.diff30
-rw-r--r--games/blobAndConquer/slack-desc12
5 files changed, 49 insertions, 72 deletions
diff --git a/games/blobAndConquer/README b/games/blobAndConquer/README
index 8f2d2d3832..2eb4086032 100644
--- a/games/blobAndConquer/README
+++ b/games/blobAndConquer/README
@@ -7,3 +7,6 @@ him. The Blobs' homeworld is still littered with the alien forces and Bob
once again makes it his task to lead the counter attack. But even without
Galdov the aliens are still extremely well organised...
+Please note that using the direct link from the info file doesn't work
+when using it with wget. Copying and pasting the link in browser such
+as firefox seems to work.
diff --git a/games/blobAndConquer/blobAndConquer.SlackBuild b/games/blobAndConquer/blobAndConquer.SlackBuild
index 651802673c..6ce86933b6 100644
--- a/games/blobAndConquer/blobAndConquer.SlackBuild
+++ b/games/blobAndConquer/blobAndConquer.SlackBuild
@@ -1,64 +1,56 @@
#!/bin/sh
-## Written by hollywoodb (hollywoodb@fastmail.fm)
+# Slackware build script for blobAndConquer
-## Feel free to use, modify, redistribute this script.
-## If you make changes please modify the "Written by"
-## so that I don't recieve emails about a script I
-## did not write. Thanks.
+# Written by Wade Nelson <hollywoodb@fastmail.fm>
-# Modified by the SlackBuilds.org project
+set -e
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit
-fi
-
-NAME=blobAndConquer
-VERSION=0.7
-SUBVERSION=2
-PKG_VERSION=$VERSION.$SUBVERSION
+PRGNAM=blobAndConquer
+VERSION=0.91
+SUBVER=1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=${PKG:-$TMP/package-$NAME}
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
-rm -rf $NAME-$VERSION
-tar -zxvf $CWD/$NAME-$VERSION-$SUBVERSION.tar.gz || exit 1
-cd $NAME-$VERSION || exit 1
-
-chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
-# Let's fix the documentation directory in the makefile
-# instead of doing it manually in the script
-patch -p1 < $CWD/makefile.diff || exit 1
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION-$SUBVER.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+sed -i '16s|share/doc/$(PROG)|doc/$(PROG)-$(VERSION)|g' makefile
+sed -i '17s|share/icons|share/pixmaps|g' makefile
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
-sed -i 's#Icon=blobAndConquer#Icon=/usr/share/icons/blobAndConquer.png#' \
- $PKG/usr/share/applications/blobAndConquer.desktop || exit 1
+sed -i 's|0.7|0.91|g' $PKG/usr/share/applications/$PRGNAM.desktop
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$PKG_VERSION/$NAME.SlackBuild
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a credits.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$NAME-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/blobAndConquer/blobAndConquer.info b/games/blobAndConquer/blobAndConquer.info
index 7ce466d45b..0a23ad11b5 100644
--- a/games/blobAndConquer/blobAndConquer.info
+++ b/games/blobAndConquer/blobAndConquer.info
@@ -1,8 +1,8 @@
PRGNAM="blobAndConquer"
-VERSION="0.7.2"
+VERSION="0.91"
HOMEPAGE="http://www.parallelrealities.co.uk/blobAndConquer.php"
-DOWNLOAD="http://www.parallelrealities.co.uk/download.php?file=blobAndConquer-0.7-2.tar.gz&type=zip"
-MD5SUM="c189414401cd9b2ff4b372be9ac433c0"
+DOWNLOAD="http://www.parallelrealities.co.uk/download.php?file=blobAndConquer-0.91-1.tar.gz&type=zip"
+MD5SUM="b96c6bb80b0be8f46df2af3c1a716e86"
MAINTAINER="hollywoodb"
EMAIL="hollywoodb@fastmail.fm"
-APPROVED="robw810,alien"
+APPROVED="rworkman"
diff --git a/games/blobAndConquer/makefile.diff b/games/blobAndConquer/makefile.diff
deleted file mode 100644
index ce2281b5ca..0000000000
--- a/games/blobAndConquer/makefile.diff
+++ /dev/null
@@ -1,30 +0,0 @@
-diff -Naur blobAndConquer-0.7.orig/makefile blobAndConquer-0.7/makefile
---- blobAndConquer-0.7.orig/makefile 2006-12-06 14:42:21.000000000 -0600
-+++ blobAndConquer-0.7/makefile 2006-12-17 02:33:14.000000000 -0600
-@@ -13,7 +13,7 @@
- PREFIX = $(DESTDIR)/usr
- BINDIR = $(PREFIX)/games
- DATADIR = $(PREFIX)/share/games/blobAndConquer
--DOCDIR = $(PREFIX)/share/doc/$(PROG)
-+DOCDIR = $(PREFIX)/doc/$(PROG)-$(VERSION).$(RELEASE)
- ICONDIR = $(PREFIX)/share/icons
- MENUDIR = $(PREFIX)/share/applications
-
-@@ -81,6 +81,8 @@
- mkdir -p $(BINDIR)
- mkdir -p $(DATADIR)
- mkdir -p $(DOCDIR)
-+ mkdir -p $(ICONDIR)
-+ mkdir -p $(MENUDIR)
-
- cp $(PROG) $(BINDIR)/$(PROG)
-
-@@ -90,7 +92,7 @@
- cp -R sound $(DATADIR)
- cp -R textures $(DATADIR)
-
-- cp -R doc $(DOCDIR)
-+ cp -R doc/* $(DOCDIR)
-
- cp icons/blobAndConquer.png $(ICONDIR)
- cp icons/blobAndConquer.desktop $(MENUDIR)
diff --git a/games/blobAndConquer/slack-desc b/games/blobAndConquer/slack-desc
index 1d036b9bf4..e26be7024f 100644
--- a/games/blobAndConquer/slack-desc
+++ b/games/blobAndConquer/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
blobAndConquer: blobAndConquer (Somewhat violent 3D action game)
blobAndConquer:
blobAndConquer: Mission and Objective based 3D Action game.
@@ -5,3 +13,7 @@ blobAndConquer: This is episode 2 of the Blob Wars saga.
blobAndConquer:
blobAndConquer:
blobAndConquer:
+blobAndConquer:
+blobAndConquer:
+blobAndConquer:
+blobAndConquer: